import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.io.*;
import java.net.*;

public class CookieApplet extends Applet implements ActionListener {

  TextArea ta;
  Button b1, b2, b3;


  public void init() {
    ta = new TextArea(10,50);

    
    b1 = new Button("English");
    b2 = new Button("German");
    b3 = new Button("French");
    
    setLayout(new FlowLayout());
    add(ta);
    add(b1);
    add(b2);
    add(b3);
    
    b1.addActionListener(this);
    b2.addActionListener(this);
    b3.addActionListener(this);
    }
    
  public void actionPerformed(ActionEvent ae) {
    if (ae.getSource() == b1) {
		talkToServlet("en");
    }

    if (ae.getSource() == b2) {
		talkToServlet("de");
    }

    if (ae.getSource() == b3) {
		talkToServlet("fr");
    }
  }

  private void talkToServlet(String language) 
  {


	try {

		boolean postit = true;    // switch between post and get method

		String parameters = "locale=" + language;
	
		URL url = new URL(getCodeBase(),"/cookie/cookie");
		InputStream is = null;
		if ( postit )
		{
			URLConnection connection = url.openConnection();
			connection.setUseCaches(false);
			connection.setDoOutput(true);
			connection.setDoInput(true);
			connection.setAllowUserInteraction(false);

			ByteArrayOutputStream baos = new ByteArrayOutputStream(128);
			PrintWriter pw = new PrintWriter( baos, true );
			pw.print(parameters);
			pw.flush();

			connection.setRequestProperty( "Content-Length", String.valueOf( baos.size() ) );

			// Netscape sets the Content-Type to multipart/form-data
			// by default. So, if you want to send regular form data,
			// you need to set it to
			// application/x-www-form-urlencoded, which is the
			// default for Internet Explorer.
			connection.setRequestProperty("Content-Type", "application/x-www-form-urlencoded");

			OutputStream os = connection.getOutputStream();
			baos.writeTo( os );
			os.close();
			is = connection.getInputStream();
		}
		else
		{
			parameters = "cookie?" + parameters;
			url = new URL( getCodeBase(), parameters );
			is = url.openStream();
		}

		ta.append("-----------------------------------------------\n");

		BufferedReader br = new BufferedReader(new InputStreamReader(is));

		String line;

		while ((line = br.readLine()) != null) {
			ta.append(line);
			ta.append("\n");
		}

		is.close();

	  } catch (Exception e) {
		e.printStackTrace();
	  }


	}

  }
