import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

/** Structure modified from Tomcat example code (CookieExample.java) */

public class CookieServlet extends HttpServlet {

	public void doPost(HttpServletRequest request, HttpServletResponse response)
	throws IOException, ServletException
	{
		doGet(request, response);
	}

    public void doGet(HttpServletRequest request, HttpServletResponse response)
    throws IOException, ServletException
    {
        response.setContentType("text/html");
        PrintWriter out = response.getWriter();

        String language_cookie_value = null;
        
        // print out cookie received

        Cookie[] cookies = request.getCookies();
        // assume only one cookie for this application
        if (cookies != null) {
            	Cookie c = cookies[0];
            	String name = c.getName();
            	String value = c.getValue();
            	out.println("Cookie received from applet: " + name + " = " + value);
            	if (name.equals("language")) {
					language_cookie_value = value;
            	}
        }
        else {
			out.println("No cookies received from applet!");
        }

        String change = request.getParameter("locale");
        if (change != null)
        	language_cookie_value = change;

        if (language_cookie_value == null)
        	language_cookie_value = "en";

        // set a cookie

		Cookie c = new Cookie("language", language_cookie_value);
        c.setMaxAge(60*60*24*365);
        c.setPath(request.getContextPath());
        response.addCookie(c);

        out.println("Sending language cookie to applet with value of: " + language_cookie_value);
    
    }
}
